Package org.apache.ignite.internal.processors.resource

## Class GridResourceServiceInjector

- java.lang.Object
- - org.apache.ignite.internal.processors.resource.GridResourceServiceInjector

    public class GridResourceServiceInjector
    extends Object

Grid service injector.

### Constructor Summary

Constructors
`GridResourceServiceInjector​(IgniteEx ignite)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getResource()` Gets resource.
`void` `inject​(org.apache.ignite.internal.processors.resource.GridResourceField field, Object target, Class<?> depCls, GridDeployment dep)`
`void` `inject​(org.apache.ignite.internal.processors.resource.GridResourceMethod mtd, Object target, Class<?> depCls, GridDeployment dep)`
`String` `toString()`
`void` `undeploy​(GridDeployment dep)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridResourceServiceInjector

    public GridResourceServiceInjector​(IgniteEx ignite)

Parameters:
  `ignite` - Grid.

### Method Detail

#### inject

    public void inject​(org.apache.ignite.internal.processors.resource.GridResourceField field,
                       Object target,
                       Class<?> depCls,
                       GridDeployment dep)
                throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### inject

    public void inject​(org.apache.ignite.internal.processors.resource.GridResourceMethod mtd,
                       Object target,
                       Class<?> depCls,
                       GridDeployment dep)
                throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### getResource

    public T getResource()

Gets resource.

Returns:
  Resource

#### undeploy

    public void undeploy​(GridDeployment dep)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`